FROM docker.metaphacts.com/release/blazegraph:2.1.4
RUN apk update && apk add curl
COPY ./definitions/export /definitions
COPY ./importDefinitions.sh /

# run Blazegraph in order to import definitions after sleep
RUN chown -R 100:101 /blazegraph-data && chown -R 100:101 /config
RUN exec java  -jar -Djava.io.tmpdir=$TMPDIR $JETTY_HOME/start.jar -Dcom.bigdata.rdf.sail.webapp.ConfigParams.propertyFile=/config/RWStore.properties $BLAZEGRAPH_OPTS & sleep 10 && bash /importDefinitions.sh

VOLUME /blazegraph-data
